<?php

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}
?>
<!DOCTYPE html>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">


    </div>



    <table>

        <tr>

            <th>Name</th>

            <th>Price</th>

            <th>Manufacturer</th>

            <th>System</th>

            <th>Type</th>

        </tr>



        <!--

        ****** SAMPLE OUTPUT ROW ******

        -->

        <tr>

            <td><a href="details.php?id=10">Pixel</a></td>

            <td>549.00</td>

            <td>Google</td>

            <td>Android</td>

            <td>Smartphone</td>

        </tr>

        <?php
        $sql = "SELECT * FROM devices, manufacturers, systems, types 
         WHERE 1=1 AND devices.manufacturer_id = manufacturers.manufacturer_id
        AND devices.system_id = systems.system_id
        AND devices.type_id = types.type_id"; // creating the relationships between the tables

        // retrieving the requested fields
        if($_REQUEST['manufacturer_id'] != "All") {
            $sql .= " AND devices.manufacturer_id ='" . $_REQUEST["manufacturer_id"] . "'";
        }
        if($_REQUEST['system_id'] != "All") {
            $sql .= " AND devices.system_id ='" . $_REQUEST["type_id"] . "'";
        }
        if($_REQUEST['type_id'] != "All") {
            $sql .= " AND devices.type_id ='" . $_REQUEST["system_id"] . "'";
        }

        $results = $mysql->query($sql);

        if(!$results) {
            echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
            echo "SQL Error: " . $mysql->error . "<hr>";
            exit();
        }
        //display the num of results
        echo "<em>Your results returned <strong>" .
            $results->num_rows .
            "</strong> results.</em>";
        echo "<br><br>";

        // return the values from each row
        while($currentrow = $results->fetch_assoc()) { // should link to the details page
            echo "<tr> 
                    <td><a href=" .  "<a href='details.php?id=" . $currentrow["id"] . "'>".
                $currentrow['name'] . "</a></td>".
                "<td>". $currentrow['price'] . "</td>".
                "<td>". $currentrow['manufacturer'] . "</td>".
                "<td>". $currentrow['system'] . "</td>".
                "<td>". $currentrow['type'] . "</td>";
        }

        ?>




<!--        <tr>-->
<!---->
<!--            <td><a href="details.php?id=11">Pixel 2</a></td>-->
<!---->
<!--            <td>649.00</td>-->
<!---->
<!--            <td>Google</td>-->
<!---->
<!--            <td>Android</td>-->
<!---->
<!--            <td>Smartphone</td>-->
<!---->
<!--        </tr>-->

<!--        <tr>-->
<!---->
<!--            <td><a href="details.php?id=12">Pixelbook</a></td>-->
<!---->
<!--            <td>999.00</td>-->
<!---->
<!--            <td>Google</td>-->
<!---->
<!--            <td>Android</td>-->
<!---->
<!--            <td>Laptop</td>-->
<!---->
<!--        </tr>-->

    </table>

</div>

</body>

</html>